Subject: -next fails to boot as of today on S3C6410

From: [email-masked] (Mark Brown)
Date: Thu, 24 Nov 2011 18:31:53 +0000

On Thu, Nov 24, 2011 at 01:22:35PM -0500, Nicolas Pitre wrote:
> On Thu, 24 Nov 2011, Mark Brown wrote:

> > Ah, right - I was assuming that the existing code was OK (given that
> > it's been in use for years).  What should it be doing to trigger the
> > flush?

> Calling s3c_init_cpu(() elsewhere i.e. outside of the s3c64xx_init_io() 
> call path, but after the later has been called, would be best.  Maybe 
> from mdesc->init_early() ?

It looks like that'll need more substantial refactoring than I have the
time to do right now, currently the CPU ID is immediately used to decide
how to carry on with low level setup.  The other option that occurs to
me is to move the check so we can just use the physical address, is that
crazy?